UR::DataSource::Meta(3pm)

NAME
UR::DataSource::Meta - Data source for the MetaDB

SYNOPSIS
  my $meta_table = UR::DataSource::RDBMS::Table->get(
                       table_name => 'DD_TABLE'
                       namespace => 'UR',
                   );

  my @myapp_tables = UR::DataSource::RDBMS::Table->get(
                       namespace => 'MyApp',
                   );

DESCRIPTION
UR::DataSource::Meta a datasource that contains all table/column meta data for the UR namespace itself. Essentially the schema schema.

INHERITANCE
UR::DataSource::Meta is a subclass of UR::DataSource::SQLite

get() required parameters
"namespace" or "data_source" are required parameters when calling "get()" on any MetaDB-sourced object types.